Page MenuHomeFreeBSD

databases/py-bsddb3: Convert to master port for databases/py3-bsddb3
ClosedPublic

Authored by woodsb02 on May 27 2016, 9:04 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jun 2, 9:35 AM
Unknown Object (File)
May 2 2024, 4:07 AM
Unknown Object (File)
Apr 26 2024, 6:12 AM
Unknown Object (File)
Feb 16 2024, 6:24 AM
Unknown Object (File)
Jan 21 2024, 9:59 AM
Unknown Object (File)
Jan 10 2024, 1:52 AM
Unknown Object (File)
Jan 10 2024, 1:52 AM
Unknown Object (File)
Dec 20 2023, 2:18 AM
Subscribers
None

Details

Summary

databases/py-bsddb3: Convert to master port for databases/py3-bsddb3

  • Convert databases/py3-bsddb3 from stand-alone to slave of databases/py-bsddb3
  • Prevent databases/py-bsddb3 from clobbering USES from databases/py3-bsddb3

PR: 208285
Approved by: bofh (maintainer)

Test Plan

poudriere testport \
databases/py3-bsddb3 \
science/gramps

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

woodsb02 retitled this revision from to databases/py-bsddb3: Convert to master port for databases/py3-bsddb3.
woodsb02 updated this object.
woodsb02 edited the test plan for this revision. (Show Details)
woodsb02 added reviewers: adamw, mat, koobs, bofh.
adamw edited edge metadata.
adamw added inline comments.
databases/py-bsddb3/Makefile
15 ↗(On Diff #17011)

If it's for db 3 and 4, why doesn't USE_BDB limit to 3-4?

This revision is now accepted and ready to land.May 27 2016, 9:09 PM
databases/py-bsddb3/Makefile
15 ↗(On Diff #17011)

There's no such thing as BerkeleyDB 3 and 4 in the ports tree, it's BerkeleyDB 5 or 6.

There is still version 4.8, but the only ports that should use it are the bitcoin ports.

Also, using USE_BDB is screaming "change me to USES=bdb"

databases/py-bsddb3/Makefile
5 ↗(On Diff #17011)

Can we try 6.2.1? Has been AFK for a couple of months and hence couldn't take care of these ports. :(

databases/py-bsddb3/Makefile
15 ↗(On Diff #17011)

Yep, I should have checked the tree before hitting submit.

The COMMENT is inaccurate but I'm fine leaving that for Muhammad.

The USE_BDB should be changed though.

databases/py-bsddb3/Makefile
11 ↗(On Diff #17011)

3 is no longer supported by py-bsddb itself. So it should be changed to 4, 5 and 6. As 4 is also at the edge of extinction we should say 5 and 6. The same should apply in the pkg-descr.

woodsb02 edited edge metadata.

Convert USE_BDB=yes to USES=bdb in both databases/py-bsddb3 and databases/py3-bsddb3

This revision now requires review to proceed.May 27 2016, 10:06 PM
adamw edited edge metadata.
This revision is now accepted and ready to land.May 27 2016, 10:49 PM
This revision was automatically updated to reflect the committed changes.